<sqtm-core-customisable-dialog
  (confirm)="confirmLinkToHighLevelRequirement()"
  [allowConfirm]="allowConfirm$ | async"
  [titleKey]="
    'sqtm-core.requirement-workspace.dialog.link-high-level-requirement.title'
  "
>
  @if (referentialData$ | async; as referentialData) {
    <sqtm-core-dialog-header>
      <div class="full-width overflow-hidden">
        @if (!referentialData.premiumPluginInstalled) {
          <div class="flex-row" style="align-items: center">
            <i
              nz-icon
              class="sqtm-core-icon"
              nzType="info-circle"
              nzTheme="twotone"
              [nzTwotoneColor]="'#1890FF'"
            ></i>
            <span
              [attr.data-test-field-id]="
                'premium-plugin-for-high-level-req-missing-label'
              "
              class="m-l-5 m-t-10 m-b-10"
              >{{
                'sqtm-core.requirement-workspace.dialog.premium-plugin-for-high-level-req-missing'
                  | translate
              }}</span
            >
          </div>
        }
      </div>
    </sqtm-core-dialog-header>
  } @else {
    <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
  }

  <sqtm-core-dialog-body>
    <sqtm-core-high-level-requirement-picker></sqtm-core-high-level-requirement-picker>
  </sqtm-core-dialog-body>
</sqtm-core-customisable-dialog>
